import pkg from '@supabase/ssr';
const { createBrowserClient } = pkg;
import { env } from '$env/dynamic/public';
import type { Database } from './types/database';

/**
 * Create a Supabase client for browser-side operations
 */
export function createClient() {
	return createBrowserClient<Database>(
		env.PUBLIC_SUPABASE_URL,
		env.PUBLIC_SUPABASE_ANON_KEY
	);
}
